Quassel IRC - Bug #1267

Some irc servers send just one caracter line endings.
03/17/2014 02:59 PM - Agge

Status: Resolved Start date: 03/17/2014
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.10-pre 0S: Any
Description

And that create problem with Quassel that remove 2 caracters from every line.

https://github.com/quassel/quassel/blob/master/src/core/corenetwork.cpp#L414

"s.chop(2)" should be "s.endsWith("\\n") s.chop(2) else if s.endsWith("\n") s.chop(1)"

Associated revisions

Revision b2eee7d3 - 06/14/2014 09:41 PM - Sebastian Meyer
Checking for single char line endings

This fixes problems with IRC servers sending only single char line
endings. Before the last char on each line for thos servers would be

chopped, now Quassel checks how the line ends and chops accordingly.
Fixes #1267

Revision 900ce3a2 - 09/14/2014 09:56 PM - Sebastian Meyer
Checking for single char line endings

This fixes problems with IRC servers sending only single char line
endings. Before the last char on each line for thos servers would be

chopped, now Quassel checks how the line ends and chops accordingly.
Fixes #1267

History

#1 - 05/26/2014 04:03 PM - netzvieh
created pull request with suggested changes https://github.com/quassel/quassel/pull/75

#2 - 06/14/2014 09:49 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:b2eee7d31624cc32a20f01d5b8a612c675f79564.
